// 
// Copyright (c) Microsoft and contributors.  All rights reserved.
// 
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//   http://www.apache.org/licenses/LICENSE-2.0
// 
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// 
// See the License for the specific language governing permissions and
// limitations under the License.
// 

// Warning: This code was generated by a tool.
// 
// Changes to this file may cause incorrect behavior and will be lost if the
// code is regenerated.

using System;
using System.Collections.Generic;
using System.Linq;
using Microsoft.WindowsAzure.Management.Compute.Models;

namespace Microsoft.WindowsAzure.Management.Compute.Models
{
    /// <summary>
    /// Parameters supplied to the Change Configuration Deployment operation.
    /// </summary>
    public partial class DeploymentChangeConfigurationParameters
    {
        private string _configuration;
        
        /// <summary>
        /// Required. The encoded service configuration file for the deployment.
        /// </summary>
        public string Configuration
        {
            get { return this._configuration; }
            set { this._configuration = value; }
        }
        
        private IDictionary<string, string> _extendedProperties;
        
        /// <summary>
        /// Optional. Represents the name of an extended deployment property.
        /// Each extended property must have a defined name and a value. You
        /// can have a maximum of 25 extended property name/value pairs. The
        /// maximum length of the name element is 64 characters, only
        /// alphanumeric characters and underscores are valid in the name, and
        /// the name must start with a letter. Attempting to use other
        /// characters, starting the name with a non-letter character, or
        /// entering a name that is identical to that of another extended
        /// property owned by the same hosted service will result in a status
        /// code 400 (Bad Request) error.
        /// </summary>
        public IDictionary<string, string> ExtendedProperties
        {
            get { return this._extendedProperties; }
            set { this._extendedProperties = value; }
        }
        
        private ExtensionConfiguration _extensionConfiguration;
        
        /// <summary>
        /// Optional. Represents an extension that is added to the cloud
        /// service. In Azure, a process can run as an extension of a cloud
        /// service. For example, Remote Desktop Access or the Azure
        /// Diagnostics Agent can run as extensions to the cloud service. You
        /// must add an extension to the cloud service by using Add Extension
        /// before it can be added to the deployment.
        /// </summary>
        public ExtensionConfiguration ExtensionConfiguration
        {
            get { return this._extensionConfiguration; }
            set { this._extensionConfiguration = value; }
        }
        
        private Microsoft.WindowsAzure.Management.Compute.Models.DeploymentChangeConfigurationMode? _mode;
        
        /// <summary>
        /// Optional. The Change Configuration Deployment mode. Possible values
        /// are: Auto and Manual. If not specified, the default value is Auto.
        /// If set to Manual, WalkUpgradeDomain must be called to apply the
        /// update. If set to Auto, the update is automatically applied to
        /// each update domain for the service.
        /// </summary>
        public Microsoft.WindowsAzure.Management.Compute.Models.DeploymentChangeConfigurationMode? Mode
        {
            get { return this._mode; }
            set { this._mode = value; }
        }
        
        private bool? _treatWarningsAsError;
        
        /// <summary>
        /// Optional. Indicates whether to treat package validation warnings as
        /// errors. The default value is false. If set to true, the Created
        /// Deployment operation fails if there are validation warnings on the
        /// service package.
        /// </summary>
        public bool? TreatWarningsAsError
        {
            get { return this._treatWarningsAsError; }
            set { this._treatWarningsAsError = value; }
        }
        
        /// <summary>
        /// Initializes a new instance of the
        /// DeploymentChangeConfigurationParameters class.
        /// </summary>
        public DeploymentChangeConfigurationParameters()
        {
            this._extendedProperties = new Dictionary<string, string>();
        }
    }
}
