// 
// Copyright (c) Microsoft and contributors.  All rights reserved.
// 
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//   http://www.apache.org/licenses/LICENSE-2.0
// 
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// 
// See the License for the specific language governing permissions and
// limitations under the License.
// 

// Warning: This code was generated by a tool.
// 
// Changes to this file may cause incorrect behavior and will be lost if the
// code is regenerated.

using System;
using System.Linq;
using Microsoft.WindowsAzure.Management.Compute.Models;

namespace Microsoft.WindowsAzure.Management.Compute.Models
{
    /// <summary>
    /// Contains properties that specify the endpoint settings which the Azure
    /// load balancer uses to monitor the availability of this virtual machine
    /// before forwarding traffic to the endpoint.
    /// </summary>
    public partial class LoadBalancerProbe
    {
        private int? _intervalInSeconds;
        
        /// <summary>
        /// Optional. Specifies the interval for the load balancer probe in
        /// seconds. The minimum value is 5 seconds. If not specified, the
        /// default is 15 seconds.
        /// </summary>
        public int? IntervalInSeconds
        {
            get { return this._intervalInSeconds; }
            set { this._intervalInSeconds = value; }
        }
        
        private string _path;
        
        /// <summary>
        /// Optional. Specifies the relative path name to inspect to determine
        /// the virtual machine availability status. If Protocol is set to
        /// TCP, this value must be NULL.
        /// </summary>
        public string Path
        {
            get { return this._path; }
            set { this._path = value; }
        }
        
        private int _port;
        
        /// <summary>
        /// Optional. Specifies the port to use to inspect the virtual machine
        /// availability status.
        /// </summary>
        public int Port
        {
            get { return this._port; }
            set { this._port = value; }
        }
        
        private LoadBalancerProbeTransportProtocol _protocol;
        
        /// <summary>
        /// Optional. Specifies the protocol to use to inspect the virtual
        /// machine availability status.
        /// </summary>
        public LoadBalancerProbeTransportProtocol Protocol
        {
            get { return this._protocol; }
            set { this._protocol = value; }
        }
        
        private int? _timeoutInSeconds;
        
        /// <summary>
        /// Optional. Specifies the timeout for the load balancer probe in
        /// seconds. The minimum value is 11 seconds. If not specified, the
        /// default is 31 seconds.
        /// </summary>
        public int? TimeoutInSeconds
        {
            get { return this._timeoutInSeconds; }
            set { this._timeoutInSeconds = value; }
        }
        
        /// <summary>
        /// Initializes a new instance of the LoadBalancerProbe class.
        /// </summary>
        public LoadBalancerProbe()
        {
        }
    }
}
