// 
// Copyright (c) Microsoft and contributors.  All rights reserved.
// 
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//   http://www.apache.org/licenses/LICENSE-2.0
// 
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// 
// See the License for the specific language governing permissions and
// limitations under the License.
// 

// Warning: This code was generated by a tool.
// 
// Changes to this file may cause incorrect behavior and will be lost if the
// code is regenerated.

using System;
using System.Linq;

namespace Microsoft.Azure.Management.Resources.Models
{
    /// <summary>
    /// Common provisioning states.
    /// </summary>
    public static partial class ProvisioningState
    {
        /// <summary>
        /// The provisioning state is not specified.
        /// </summary>
        public const string NotSpecified = "NotSpecified";
        
        /// <summary>
        /// The provisioning state is accepted.
        /// </summary>
        public const string Accepted = "Accepted";
        
        /// <summary>
        /// The provisioning state is running.
        /// </summary>
        public const string Running = "Running";
        
        /// <summary>
        /// The provisioning state is registering.
        /// </summary>
        public const string Registering = "Registering";
        
        /// <summary>
        /// The provisioning state is creating.
        /// </summary>
        public const string Creating = "Creating";
        
        /// <summary>
        /// The provisioning state is created.
        /// </summary>
        public const string Created = "Created";
        
        /// <summary>
        /// The provisioning state is deleting.
        /// </summary>
        public const string Deleting = "Deleting";
        
        /// <summary>
        /// The provisioning state is deleted.
        /// </summary>
        public const string Deleted = "Deleted";
        
        /// <summary>
        /// The provisioning state is canceled.
        /// </summary>
        public const string Canceled = "Canceled";
        
        /// <summary>
        /// The provisioning state is failed.
        /// </summary>
        public const string Failed = "Failed";
        
        /// <summary>
        /// The provisioning state is succeeded.
        /// </summary>
        public const string Succeeded = "Succeeded";
    }
}
