// 
// Copyright (c) Microsoft and contributors.  All rights reserved.
// 
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//   http://www.apache.org/licenses/LICENSE-2.0
// 
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// 
// See the License for the specific language governing permissions and
// limitations under the License.
// 

// Warning: This code was generated by a tool.
// 
// Changes to this file may cause incorrect behavior and will be lost if the
// code is regenerated.

using System;
using System.Linq;
using Microsoft.WindowsAzure.Management.Scheduler.Models;

namespace Microsoft.WindowsAzure.Management.Scheduler.Models
{
    /// <summary>
    /// Parameters supplied to the Update Job Collection operation.
    /// </summary>
    public partial class JobCollectionUpdateParameters
    {
        private string _eTag;
        
        /// <summary>
        /// Required. The ETag of the job collection to update.  The update
        /// will fail ifthe ETag doesn't match.
        /// </summary>
        public string ETag
        {
            get { return this._eTag; }
            set { this._eTag = value; }
        }
        
        private JobCollectionIntrinsicSettings _intrinsicSettings;
        
        /// <summary>
        /// Optional. Intrinsic settings for the scheduler job collections.
        /// </summary>
        public JobCollectionIntrinsicSettings IntrinsicSettings
        {
            get { return this._intrinsicSettings; }
            set { this._intrinsicSettings = value; }
        }
        
        private string _label;
        
        /// <summary>
        /// Optional. Label for the resource.
        /// </summary>
        public string Label
        {
            get { return this._label; }
            set { this._label = value; }
        }
        
        private string _schemaVersion;
        
        /// <summary>
        /// Optional. The version of the Intrinsic Properties for your
        /// Resource. If not specified, you must conform to the contract
        /// resource version you registered as default.
        /// </summary>
        public string SchemaVersion
        {
            get { return this._schemaVersion; }
            set { this._schemaVersion = value; }
        }
        
        /// <summary>
        /// Initializes a new instance of the JobCollectionUpdateParameters
        /// class.
        /// </summary>
        public JobCollectionUpdateParameters()
        {
        }
    }
}
