// 
// Copyright (c) Microsoft and contributors.  All rights reserved.
// 
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//   http://www.apache.org/licenses/LICENSE-2.0
// 
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// 
// See the License for the specific language governing permissions and
// limitations under the License.
// 

// Warning: This code was generated by a tool.
// 
// Changes to this file may cause incorrect behavior and will be lost if the
// code is regenerated.

using System;
using System.Linq;
using Microsoft.WindowsAzure.Scheduler.Models;

namespace Microsoft.WindowsAzure.Scheduler.Models
{
    /// <summary>
    /// Retry Policy for the job action.
    /// </summary>
    public partial class RetryPolicy
    {
        private int? _retryCount;
        
        /// <summary>
        /// Optional. Number of times a retry should be attempted.
        /// </summary>
        public int? RetryCount
        {
            get { return this._retryCount; }
            set { this._retryCount = value; }
        }
        
        private System.TimeSpan? _retryInterval;
        
        /// <summary>
        /// Optional. The interval between retries.
        /// </summary>
        public System.TimeSpan? RetryInterval
        {
            get { return this._retryInterval; }
            set { this._retryInterval = value; }
        }
        
        private RetryType _retryType;
        
        /// <summary>
        /// Required.  The Retry Type of the Retry Policy. Can be either
        /// 'fixed' or 'none'.
        /// </summary>
        public RetryType RetryType
        {
            get { return this._retryType; }
            set { this._retryType = value; }
        }
        
        /// <summary>
        /// Initializes a new instance of the RetryPolicy class.
        /// </summary>
        public RetryPolicy()
        {
        }
    }
}
