// 
// Copyright (c) Microsoft and contributors.  All rights reserved.
// 
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//   http://www.apache.org/licenses/LICENSE-2.0
// 
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// 
// See the License for the specific language governing permissions and
// limitations under the License.
// 

// Warning: This code was generated by a tool.
// 
// Changes to this file may cause incorrect behavior and will be lost if the
// code is regenerated.

using System;
using System.Linq;
using System.Threading;
using System.Threading.Tasks;
using Microsoft.WindowsAzure.Management.Sql.Models;

namespace Microsoft.WindowsAzure.Management.Sql
{
    /// <summary>
    /// The SQL Database Management API includes operations for get/stop SQL
    /// Databases' operations for a subscription.
    /// </summary>
    public partial interface IDatabaseOperationOperations
    {
        /// <summary>
        /// Returns information about one operation on a given operation Guid.
        /// </summary>
        /// <param name='serverName'>
        /// The name of the SQL Server on which the operation was executed.
        /// </param>
        /// <param name='operationGuid'>
        /// The Guid of the SQL Server database operation to be obtained.
        /// </param>
        /// <param name='cancellationToken'>
        /// Cancellation token.
        /// </param>
        /// <returns>
        /// Response containing the database operation for a given operation
        /// Guid.
        /// </returns>
        Task<DatabaseOperationGetResponse> GetAsync(string serverName, string operationGuid, CancellationToken cancellationToken);
        
        /// <summary>
        /// Returns the list database operations for a given server and
        /// database.
        /// </summary>
        /// <param name='serverName'>
        /// The name of the SQL Server to be queried.
        /// </param>
        /// <param name='databaseName'>
        /// The name of the Database to be queried.
        /// </param>
        /// <param name='cancellationToken'>
        /// Cancellation token.
        /// </param>
        /// <returns>
        /// Response containing the list of database operations for a given
        /// server or database.
        /// </returns>
        Task<DatabaseOperationListResponse> ListByDatabaseAsync(string serverName, string databaseName, CancellationToken cancellationToken);
        
        /// <summary>
        /// Returns the list database operations for a given server.
        /// </summary>
        /// <param name='serverName'>
        /// The name of the SQL Server to be queried.
        /// </param>
        /// <param name='cancellationToken'>
        /// Cancellation token.
        /// </param>
        /// <returns>
        /// Response containing the list of database operations for a given
        /// server or database.
        /// </returns>
        Task<DatabaseOperationListResponse> ListByServerAsync(string serverName, CancellationToken cancellationToken);
    }
}
