// 
// Copyright (c) Microsoft and contributors.  All rights reserved.
// 
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//   http://www.apache.org/licenses/LICENSE-2.0
// 
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// 
// See the License for the specific language governing permissions and
// limitations under the License.
// 

// Warning: This code was generated by a tool.
// 
// Changes to this file may cause incorrect behavior and will be lost if the
// code is regenerated.

using System;
using System.Collections.Generic;
using System.Linq;
using Microsoft.WindowsAzure;
using Microsoft.WindowsAzure.Management.WebSites.Models;

namespace Microsoft.WindowsAzure.Management.WebSites.Models
{
    /// <summary>
    /// The response body contains the status of the specified long-running
    /// operation, indicating whether it has succeeded, is inprogress, has
    /// timed out, or has failed. Note that this status is distinct from the
    /// HTTP status code returned for the Get Operation Status operation
    /// itself. If the long-running operation failed, the response body
    /// includes error information regarding the failure.
    /// </summary>
    public partial class WebSiteOperationStatusResponse : OperationResponse
    {
        private DateTime _createdTime;
        
        /// <summary>
        /// Optional. The time when the operation was created.
        /// </summary>
        public DateTime CreatedTime
        {
            get { return this._createdTime; }
            set { this._createdTime = value; }
        }
        
        private IList<WebSiteOperationStatusResponse.Error> _errors;
        
        /// <summary>
        /// Optional. The list of errors that occurred during the operation.
        /// </summary>
        public IList<WebSiteOperationStatusResponse.Error> Errors
        {
            get { return this._errors; }
            set { this._errors = value; }
        }
        
        private DateTime _expirationTime;
        
        /// <summary>
        /// Optional. The time when the operation will time out.
        /// </summary>
        public DateTime ExpirationTime
        {
            get { return this._expirationTime; }
            set { this._expirationTime = value; }
        }
        
        private string _geoMasterOperationId;
        
        /// <summary>
        /// Optional. The GeoMaster Operation ID for this operation, if any.
        /// </summary>
        public string GeoMasterOperationId
        {
            get { return this._geoMasterOperationId; }
            set { this._geoMasterOperationId = value; }
        }
        
        private DateTime _modifiedTime;
        
        /// <summary>
        /// Optional. The time when the operation was last modified.
        /// </summary>
        public DateTime ModifiedTime
        {
            get { return this._modifiedTime; }
            set { this._modifiedTime = value; }
        }
        
        private string _name;
        
        /// <summary>
        /// Optional. The name of the operation.
        /// </summary>
        public string Name
        {
            get { return this._name; }
            set { this._name = value; }
        }
        
        private string _operationId;
        
        /// <summary>
        /// Optional. The Operation ID for this operation. Used to poll for
        /// operation status.
        /// </summary>
        public string OperationId
        {
            get { return this._operationId; }
            set { this._operationId = value; }
        }
        
        private WebSiteOperationStatus _status;
        
        /// <summary>
        /// Optional. The status of the asynchronous operation.
        /// </summary>
        public WebSiteOperationStatus Status
        {
            get { return this._status; }
            set { this._status = value; }
        }
        
        /// <summary>
        /// Initializes a new instance of the WebSiteOperationStatusResponse
        /// class.
        /// </summary>
        public WebSiteOperationStatusResponse()
        {
            this._errors = new List<WebSiteOperationStatusResponse.Error>();
        }
        
        /// <summary>
        /// Information about an error that occured during the operation.
        /// </summary>
        public partial class Error
        {
            private string _code;
            
            /// <summary>
            /// Optional. The error code.
            /// </summary>
            public string Code
            {
                get { return this._code; }
                set { this._code = value; }
            }
            
            private string _extendedCode;
            
            /// <summary>
            /// Optional. The extended error code.
            /// </summary>
            public string ExtendedCode
            {
                get { return this._extendedCode; }
                set { this._extendedCode = value; }
            }
            
            private string _innerErrors;
            
            /// <summary>
            /// Optional. The inner errors for this operation.
            /// </summary>
            public string InnerErrors
            {
                get { return this._innerErrors; }
                set { this._innerErrors = value; }
            }
            
            private string _message;
            
            /// <summary>
            /// Optional. The error message.
            /// </summary>
            public string Message
            {
                get { return this._message; }
                set { this._message = value; }
            }
            
            private string _messageTemplate;
            
            /// <summary>
            /// Optional. The message template.
            /// </summary>
            public string MessageTemplate
            {
                get { return this._messageTemplate; }
                set { this._messageTemplate = value; }
            }
            
            private IList<string> _parameters;
            
            /// <summary>
            /// Optional. The parameters for the message template.
            /// </summary>
            public IList<string> Parameters
            {
                get { return this._parameters; }
                set { this._parameters = value; }
            }
            
            /// <summary>
            /// Initializes a new instance of the Error class.
            /// </summary>
            public Error()
            {
                this._parameters = new List<string>();
            }
        }
    }
}
